"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

class ModelAttribute extends _webinyModel.ModelAttribute {
  setStorageValue(value) {
    if (typeof value === "string") {
      return super.setStorageValue(JSON.parse(value));
    }

    return this;
  }

  async getStorageValue() {
    const value = await _webinyModel.ModelAttribute.prototype.getStorageValue.call(this);
    return value ? JSON.stringify(value) : value;
  }

}

var _default = ModelAttribute;
exports.default = _default;
//# sourceMappingURL=modelAttribute.js.map