"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

class ModelsAttribute extends _webinyModel.ModelsAttribute {
  setStorageValue(value) {
    if (typeof value === "string") {
      super.setStorageValue(JSON.parse(value));
    }

    return this;
  }

  async getStorageValue() {
    return JSON.stringify((await _webinyModel.ModelsAttribute.prototype.getStorageValue.call(this)));
  }

}

var _default = ModelsAttribute;
exports.default = _default;
//# sourceMappingURL=modelsAttribute.js.map