"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const gt = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$gt");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    return "`" + key + "` > " + statement.escape(value["$gt"]);
  }
};
var _default = gt;
exports.default = _default;
//# sourceMappingURL=gt.js.map