"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const jsonArrayStrictEquality = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$jsonArrayStrictEquality");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    value = value["$jsonArrayStrictEquality"];
    return "`" + key + "` = JSON_ARRAY(" + value.map(v => statement.escape(v)).join(", ") + ")";
  }
};
var _default = jsonArrayStrictEquality;
exports.default = _default;
//# sourceMappingURL=jsonArrayStrictEquality.js.map