"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const lte = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$lte");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    return "`" + key + "` <= " + statement.escape(value["$lte"]);
  }
};
var _default = lte;
exports.default = _default;
//# sourceMappingURL=lte.js.map