"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const ne = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$ne");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    if (value["$ne"] === null) {
      return "`" + key + "` IS NOT NULL";
    }

    return "`" + key + "` <> " + statement.escape(value["$ne"]);
  }
};
var _default = ne;
exports.default = _default;
//# sourceMappingURL=ne.js.map