"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

class ArrayAttribute extends _webinyModel.ArrayAttribute {
  setStorageValue(value) {
    if (typeof value === "string") {
      super.setStorageValue(JSON.parse(value));
    } else {
      super.setStorageValue(value);
    }

    return this;
  }

  async getStorageValue() {
    const value = await _webinyModel.ArrayAttribute.prototype.getStorageValue.call(this);
    return value ? JSON.stringify(value) : value;
  }

}

var _default = ArrayAttribute;
exports.default = _default;
//# sourceMappingURL=arrayAttribute.js.map