"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

var _and = _interopRequireDefault(require("./../logical/and"));

const all = {
  canProcess: ({
    key,
    value
  }) => {
    if (key.charAt(0) === "$") {
      return false;
    }

    return (0, _has2.default)(value, "$all");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    const andValue = value["$all"].map(v => {
      return {
        [key]: {
          $jsonArrayFindValue: v
        }
      };
    });
    return _and.default.process({
      key,
      value: andValue,
      statement
    });
  }
};
var _default = all;
exports.default = _default;
//# sourceMappingURL=all.js.map