"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const gte = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$gte");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    return "`" + key + "` >= " + statement.escape(value["$gte"]);
  }
};
var _default = gte;
exports.default = _default;
//# sourceMappingURL=gte.js.map