"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const jsonArrayFindValue = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$jsonArrayFindValue");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    value = value["$jsonArrayFindValue"];
    return "JSON_SEARCH(`" + key + "`, 'one', " + statement.escape(value) + ") IS NOT NULL";
  }
};
var _default = jsonArrayFindValue;
exports.default = _default;
//# sourceMappingURL=jsonArrayFindValue.js.map