"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const like = {
  canProcess: ({
    key,
    value
  }) => {
    if (key.charAt(0) === "$") {
      return false;
    }

    return (0, _has2.default)(value, "$like");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    return "`" + key + "` LIKE " + statement.escape(value["$like"]);
  }
};
var _default = like;
exports.default = _default;
//# sourceMappingURL=like.js.map