"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _has2 = _interopRequireDefault(require("lodash/has"));

const lt = {
  canProcess: ({
    value
  }) => {
    return (0, _has2.default)(value, "$lt");
  },
  process: ({
    key,
    value,
    statement
  }) => {
    return "`" + key + "` < " + statement.escape(value["$lt"]);
  }
};
var _default = lt;
exports.default = _default;
//# sourceMappingURL=lt.js.map